%define name	qrna
%define version	2.0.2c
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Prototype ncRNA genefinder
Group:		Sciences/Biology
License:	GPL
URL:		http://www.genetics.wustl.edu/eddy/software/#qrna
Source:		ftp://ftp.genetics.wustl.edu/pub/eddy/software/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
QRNA uses comparative genome sequence analysis to detect 
conserved RNA secondary structures, including both ncRNA genes 
and cis-regulatory RNA structures.

%prep
%setup -q
chmod 644  Licenses/*

%build
# squid library
(cd squid && %make CFLAGS="$RPM_OPT_FLAGS")

# qrna
(cd src && %make CFLAGS="$RPM_OPT_FLAGS")

%install
rm -rf $RPM_BUILD_ROOT

# executables
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 src/{qrna,cfgbuild} scripts/* $RPM_BUILD_ROOT%{_bindir}

# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 lib/* $RPM_BUILD_ROOT/%{_datadir}/%{name}

# configuration
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
echo "export QRNADB=%{_datadir}/%{name}" > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/%{name}.sh
echo "setenv QRNADB %{_datadir}/%{name}" > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/%{name}.csh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc 00README INSTALL Licenses/* documentation/userguide.pdf
%{_bindir}/*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/profile.d/*

%changelog
* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.2c-1mdk 
- new version
- rpmbuildupdate aware

* Sat Jan 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.1-1mdk
- first mdk release, after a spec file stolen from Luc Ducazu <luc@biolinux.org>
- Initial build
